/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core;

import Jama.Matrix;

/**
 *
 * @author pchr
 */
public class Node {

    private int id;
    private double x;
    private int fTable[];
    private static int ndofs=0;
    private double u[];


    public Node() {
    }
    
    public void init(){
        ndofs=0;
    }

    public Node(int id,double x) {
        this.id = id;
        this.x = x;
        fTable = new int[1]; fTable[0]=0;
        u = new double[1];
        
    }

    public int getId() {
        return id;
    }

    public double getX() {
        return x;
    }
    
    public int[] getFTable() {
        if(fTable[0]==0){
            ++ndofs;
            fTable[0]=ndofs;
        }
        return fTable;
    }
    
    public int getNdofs(){
        return Node.ndofs;
    }
    
    public void updateNode(Matrix Sol){
        u[0]=Sol.get(fTable[0]-1, 0);
    }
    
    public double[] getU() {
        return u;
    }
}
